Skip to main content
GET
/
api
/
supply-chain
/
v1
/
get-fuel-shortage-detail
GetFuelShortageDetail
curl --request GET \
  --url https://api.example.com/api/supply-chain/v1/get-fuel-shortage-detail
{
  "shortage": {
    "id": "<string>",
    "country": "<string>",
    "product": "<string>",
    "severity": "<string>",
    "firstSeen": "<string>",
    "lastConfirmed": "<string>",
    "resolvedAt": "<string>",
    "impactTypes": [
      "<string>"
    ],
    "causeChain": [
      "<string>"
    ],
    "shortDescription": "<string>",
    "evidence": {
      "evidenceSources": [
        {
          "authority": "<string>",
          "title": "<string>",
          "url": "<string>",
          "date": "<string>",
          "sourceType": "<string>"
        }
      ],
      "firstRegulatorConfirmation": "<string>",
      "classifierVersion": "<string>",
      "classifierConfidence": 123,
      "lastEvidenceUpdate": "<string>"
    }
  },
  "fetchedAt": "<string>",
  "unavailable": true
}

Documentation Index

Fetch the complete documentation index at: https://worldmonitor.app/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

shortageId
string

Response

Successful response

shortage
object
fetchedAt
string
unavailable
boolean